Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.runtime.wrappers
Class Wrapper

    java.lang.Object
      org.codehaus.groovy.runtime.wrappers.Wrapper

All Implemented Interfaces:
  GroovyObject

Direct Known Subclasses:
  GroovyObjectWrapper, PojoWrapper

    public abstract class Wrapper

extends Object
implements GroovyObject

Author:
  John Wilson

Field Summary
`protected Class` | `constrainedType`
`protected MetaClass` | `delegatingMetaClass`

Constructor Summary
`Wrapper(Class constrainedType)`

Method Summary
`protected abstract MetaClass` | `getDelegatedMetaClass()`
`MetaClass` | `getMetaClass()` Returns the metaclass for a given class.
`Class` | `getType()`
`protected abstract Object` | `getWrapped()`
`abstract Object` | `unwrap()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface groovy.lang.GroovyObject
`getProperty, invokeMethod, setMetaClass, setProperty`

Field Detail

### delegatingMetaClass

    protected MetaClass delegatingMetaClass

### constrainedType

    protected final Class constrainedType

Constructor Detail

### Wrapper

    public Wrapper(Class constrainedType)

Method Detail

### getMetaClass

    public MetaClass getMetaClass()

  Description copied from interface: `GroovyObject`
  Returns the metaclass for a given class.

  Specified by:
    `getMetaClass` in interface `GroovyObject`
  Returns:
    the metaClass of this instance

### unwrap

    public abstract Object unwrap()

### getType

    public Class getType()

### getWrapped

    protected abstract Object getWrapped()

### getDelegatedMetaClass

    protected abstract MetaClass getDelegatedMetaClass()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2009 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD